Skip to Content
New release 12 available 🎉

Products

All PUT endpoints update only the fields present in the body; see Updating Resources.

GET/v1/productsGET /v1/products

Code samples

# You can also use wget curl -X GET /v1/products \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

GET /v1/products

Gets the products based on the provided request.

Parameters

NameInTypeRequiredDescription
selectquerystringfalsenone
filterquerystringfalsenone
includequerystringfalsenone
sortquerystringfalsenone
takequeryinteger(int32)falsenone
skipqueryinteger(int32)falsenone

Example responses

200 Response

{"success":true,"code":0,"message":"string","products":[{"id":0,"code":"string","name":"string","description":"string","url":"string","copyright":"string","createdAt":"2019-08-24T14:15:22Z","image":"string","price":0.1,"resellerPrice":0.1,"currency":"string","signatureKeysId":0,"meta":"string","isApplication":true,"updateChannelDefault":"string","renewalUrl":"string","signatureKeys":{"id":0,"name":"string","type":"string","code":"string","description":"string","source":"string","password":"string","createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","data":"string","dataFormat":"string","meta":"string"},"productOrders":[{"productId":0,"orderId":0,"quantity":0,"unitPrice":0.1,"discount":0.1,"taxes":0.1,"description":"string","product":{},"order":{"id":0,"orderNumber":"string","status":"string","processedBy":"string","purchaseOrder":"string","total":0.1,"currency":"string","createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","invoiceNumber":"string","paymentType":"string","paymentNumber":"string","paymentStatus":"string","paymentDate":"2019-08-24T14:15:22Z","description":"string","customerId":0,"customer":{"id":0,"title":"string","firstName":"string","lastName":"string","company":"string","code":"string","vatCode":"string","invoiceCode":"string","rating":0,"createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","address":"string","address1":"string","address2":"string","postalCode":"string","region":"string","city":"string","country":"string","countryCode":"string","mapCoordinates":"string","mapZoomLevel":0.1,"email":"string","phone":"string","mobile":"string","fax":"string","website":"string","notes":"string","isReseller":true,"image":"string","meta":"string","contacts":[{"id":0,"title":"string","firstName":"string","lastName":"string","email":"string","phone":"string","mobile":"string","fax":"string","details":"string","notify":true,"customerId":0,"meta":"string"}]},"resellerId":0}}]}],"totalProductsCount":0}
{ "success": true, "code": 0, "message": "string", "products": [ { "id": 0, "code": "string", "name": "string", "description": "string", "url": "string", "copyright": "string", "createdAt": "2019-08-24T14:15:22Z", "image": "string", "price": 0.1, "resellerPrice": 0.1, "currency": "string", "signatureKeysId": 0, "meta": "string", "isApplication": true, "updateChannelDefault": "string", "renewalUrl": "string", "signatureKeys": { "id": 0, "name": "string", "type": "string", "code": "string", "description": "string", "source": "string", "password": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "data": "string", "dataFormat": "string", "meta": "string" }, "productOrders": [ { "productId": 0, "orderId": 0, "quantity": 0, "unitPrice": 0.1, "discount": 0.1, "taxes": 0.1, "description": "string", "product": {}, "order": { "id": 0, "orderNumber": "string", "status": "string", "processedBy": "string", "purchaseOrder": "string", "total": 0.1, "currency": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "invoiceNumber": "string", "paymentType": "string", "paymentNumber": "string", "paymentStatus": "string", "paymentDate": "2019-08-24T14:15:22Z", "description": "string", "customerId": 0, "customer": { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "company": "string", "code": "string", "vatCode": "string", "invoiceCode": "string", "rating": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "address": "string", "address1": "string", "address2": "string", "postalCode": "string", "region": "string", "city": "string", "country": "string", "countryCode": "string", "mapCoordinates": "string", "mapZoomLevel": 0.1, "email": "string", "phone": "string", "mobile": "string", "fax": "string", "website": "string", "notes": "string", "isReseller": true, "image": "string", "meta": "string", "contacts": [ { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "email": "string", "phone": "string", "mobile": "string", "fax": "string", "details": "string", "notify": true, "customerId": 0, "meta": "string" } ] }, "resellerId": 0 } } ] } ], "totalProductsCount": 0 }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.GetProductsResponse

Authentication: API key (x-api-key).

POST/v1/productsPOST /v1/products

Code samples

# You can also use wget curl -X POST /v1/products \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

POST /v1/products

Inserts a new product.

Body parameter

{ "product": { "id": 0, "code": "string", "name": "string", "description": "string", "url": "string", "copyright": "string", "createdAt": "2019-08-24T14:15:22Z", "image": "string", "price": 0.1, "resellerPrice": 0.1, "currency": "string", "signatureKeysId": 0, "meta": "string", "isApplication": true, "updateChannelDefault": "string", "renewalUrl": "string", "signatureKeys": { "id": 0, "name": "string", "type": "string", "code": "string", "description": "string", "source": "string", "password": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "data": "string", "dataFormat": "string", "meta": "string" }, "productOrders": [ { "productId": 0, "orderId": 0, "quantity": 0, "unitPrice": 0.1, "discount": 0.1, "taxes": 0.1, "description": "string", "product": {}, "order": { "id": 0, "orderNumber": "string", "status": "string", "processedBy": "string", "purchaseOrder": "string", "total": 0.1, "currency": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "invoiceNumber": "string", "paymentType": "string", "paymentNumber": "string", "paymentStatus": "string", "paymentDate": "2019-08-24T14:15:22Z", "description": "string", "customerId": 0, "customer": { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "company": "string", "code": "string", "vatCode": "string", "invoiceCode": "string", "rating": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "address": "string", "address1": "string", "address2": "string", "postalCode": "string", "region": "string", "city": "string", "country": "string", "countryCode": "string", "mapCoordinates": "string", "mapZoomLevel": 0.1, "email": "string", "phone": "string", "mobile": "string", "fax": "string", "website": "string", "notes": "string", "isReseller": true, "image": "string", "meta": "string", "contacts": [ { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "email": "string", "phone": "string", "mobile": "string", "fax": "string", "details": "string", "notify": true, "customerId": 0, "meta": "string" } ] }, "resellerId": 0 } } ] } }

Parameters

NameInTypeRequiredDescription
bodybodyManagement.InsertProductRequestfalseThe request containing the product to insert.

Example responses

200 Response

{"productId":0,"success":true,"code":0,"message":"string"}
{ "productId": 0, "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.InsertProductResponse

Authentication: API key (x-api-key).

PUT/v1/productsPUT /v1/products

Code samples

# You can also use wget curl -X PUT /v1/products \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

PUT /v1/products

Updates an existing product.

Body parameter

{ "product": { "id": 0, "code": "string", "name": "string", "description": "string", "url": "string", "copyright": "string", "createdAt": "2019-08-24T14:15:22Z", "image": "string", "price": 0.1, "resellerPrice": 0.1, "currency": "string", "signatureKeysId": 0, "meta": "string", "isApplication": true, "updateChannelDefault": "string", "renewalUrl": "string", "signatureKeys": { "id": 0, "name": "string", "type": "string", "code": "string", "description": "string", "source": "string", "password": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "data": "string", "dataFormat": "string", "meta": "string" }, "productOrders": [ { "productId": 0, "orderId": 0, "quantity": 0, "unitPrice": 0.1, "discount": 0.1, "taxes": 0.1, "description": "string", "product": {}, "order": { "id": 0, "orderNumber": "string", "status": "string", "processedBy": "string", "purchaseOrder": "string", "total": 0.1, "currency": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "invoiceNumber": "string", "paymentType": "string", "paymentNumber": "string", "paymentStatus": "string", "paymentDate": "2019-08-24T14:15:22Z", "description": "string", "customerId": 0, "customer": { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "company": "string", "code": "string", "vatCode": "string", "invoiceCode": "string", "rating": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "address": "string", "address1": "string", "address2": "string", "postalCode": "string", "region": "string", "city": "string", "country": "string", "countryCode": "string", "mapCoordinates": "string", "mapZoomLevel": 0.1, "email": "string", "phone": "string", "mobile": "string", "fax": "string", "website": "string", "notes": "string", "isReseller": true, "image": "string", "meta": "string", "contacts": [ { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "email": "string", "phone": "string", "mobile": "string", "fax": "string", "details": "string", "notify": true, "customerId": 0, "meta": "string" } ] }, "resellerId": 0 } } ] } }

Parameters

NameInTypeRequiredDescription
bodybodyManagement.UpdateProductRequestfalseThe request containing the product to update.

Example responses

200 Response

{"success":true,"code":0,"message":"string"}
{ "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.UpdateProductResponse

Authentication: API key (x-api-key).

DELETE/v1/products/{productId}DELETE /v1/products/{productId}

Code samples

# You can also use wget curl -X DELETE /v1/products/{productId} \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

DELETE /v1/products/\{productId\}

Deletes an existing product.

Parameters

NameInTypeRequiredDescription
productIdpathinteger(int32)trueThe ID of the product to delete.

Example responses

200 Response

{"success":true,"code":0,"message":"string"}
{ "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.DeleteProductResponse

Authentication: API key (x-api-key).

GET/v1/products/{productId}/ordersGET /v1/products/{productId}/orders

Code samples

# You can also use wget curl -X GET /v1/products/{productId}/orders \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

GET /v1/products/\{productId\}/orders

Gets the product orders based on the provided request.

Parameters

NameInTypeRequiredDescription
productIdpathinteger(int32)trueThe product ID.
selectquerystringfalsenone
filterquerystringfalsenone
includequerystringfalsenone
sortquerystringfalsenone
takequeryinteger(int32)falsenone
skipqueryinteger(int32)falsenone

Example responses

200 Response

{"success":true,"code":0,"message":"string","productOrders":[{"productId":0,"orderId":0,"quantity":0,"unitPrice":0.1,"discount":0.1,"taxes":0.1,"description":"string","product":{"id":0,"code":"string","name":"string","description":"string","url":"string","copyright":"string","createdAt":"2019-08-24T14:15:22Z","image":"string","price":0.1,"resellerPrice":0.1,"currency":"string","signatureKeysId":0,"meta":"string","isApplication":true,"updateChannelDefault":"string","renewalUrl":"string","signatureKeys":{"id":0,"name":"string","type":"string","code":"string","description":"string","source":"string","password":"string","createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","data":"string","dataFormat":"string","meta":"string"},"productOrders":[{}]},"order":{"id":0,"orderNumber":"string","status":"string","processedBy":"string","purchaseOrder":"string","total":0.1,"currency":"string","createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","invoiceNumber":"string","paymentType":"string","paymentNumber":"string","paymentStatus":"string","paymentDate":"2019-08-24T14:15:22Z","description":"string","customerId":0,"customer":{"id":0,"title":"string","firstName":"string","lastName":"string","company":"string","code":"string","vatCode":"string","invoiceCode":"string","rating":0,"createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","address":"string","address1":"string","address2":"string","postalCode":"string","region":"string","city":"string","country":"string","countryCode":"string","mapCoordinates":"string","mapZoomLevel":0.1,"email":"string","phone":"string","mobile":"string","fax":"string","website":"string","notes":"string","isReseller":true,"image":"string","meta":"string","contacts":[{"id":0,"title":"string","firstName":"string","lastName":"string","email":"string","phone":"string","mobile":"string","fax":"string","details":"string","notify":true,"customerId":0,"meta":"string"}]},"resellerId":0}}],"totalProductOrdersCount":0}
{ "success": true, "code": 0, "message": "string", "productOrders": [ { "productId": 0, "orderId": 0, "quantity": 0, "unitPrice": 0.1, "discount": 0.1, "taxes": 0.1, "description": "string", "product": { "id": 0, "code": "string", "name": "string", "description": "string", "url": "string", "copyright": "string", "createdAt": "2019-08-24T14:15:22Z", "image": "string", "price": 0.1, "resellerPrice": 0.1, "currency": "string", "signatureKeysId": 0, "meta": "string", "isApplication": true, "updateChannelDefault": "string", "renewalUrl": "string", "signatureKeys": { "id": 0, "name": "string", "type": "string", "code": "string", "description": "string", "source": "string", "password": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "data": "string", "dataFormat": "string", "meta": "string" }, "productOrders": [ {} ] }, "order": { "id": 0, "orderNumber": "string", "status": "string", "processedBy": "string", "purchaseOrder": "string", "total": 0.1, "currency": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "invoiceNumber": "string", "paymentType": "string", "paymentNumber": "string", "paymentStatus": "string", "paymentDate": "2019-08-24T14:15:22Z", "description": "string", "customerId": 0, "customer": { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "company": "string", "code": "string", "vatCode": "string", "invoiceCode": "string", "rating": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "address": "string", "address1": "string", "address2": "string", "postalCode": "string", "region": "string", "city": "string", "country": "string", "countryCode": "string", "mapCoordinates": "string", "mapZoomLevel": 0.1, "email": "string", "phone": "string", "mobile": "string", "fax": "string", "website": "string", "notes": "string", "isReseller": true, "image": "string", "meta": "string", "contacts": [ { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "email": "string", "phone": "string", "mobile": "string", "fax": "string", "details": "string", "notify": true, "customerId": 0, "meta": "string" } ] }, "resellerId": 0 } } ], "totalProductOrdersCount": 0 }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.GetProductOrdersResponse

Authentication: API key (x-api-key).

Last updated on